Skip to main content
Alerting & Response/Alert Events

GetAlertEventTimeline

Get the full timeline of actions taken on an alert event

GET/api/v1/alerting/events/{eventId}/timeline

Operation ID

GetAlertEventTimeline

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • eventId
    StringRequired

    Event identifier to get timeline for

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    List of timeline entries

    Example: (nested array)

    • uuid
      String

      Unique identifier of the timeline entry

      Example: timeline-001

    • alertUuid
      String

      Alert event UUID this entry belongs to

      Example: event-001

    • action
      String

      Action performed (created, acknowledged, resolved, commented)

      Example: acknowledged

    • actor
      String

      User who performed the action

      Example: admin

    • detail
      String

      Additional detail about the action

      Example: Alert acknowledged by admin

    • createDate
      String

      Timestamp of the action

      Example: 2026-01-15T08:00:00Z

  • total
    Integer

    Total number of timeline entries

    Example: 5

  • limit
    Integer

    Maximum items per page

    Example: 20

  • offset
    Integer

    Offset from start of result set

    Example: 20